%define major     0
%define libname   %mklibname dlna %major
%define develname %mklibname dlna -d

Summary:        Implementation of DLNA (Digital Living Network Alliance)
Name:           libdlna
Version:        0.2.4
Release:        %mkrel 12
License:        LGPLv2+
Group:          System/Libraries
Url:            http://libdlna.geexbox.org/
Source0:        http://libdlna.geexbox.org/releases/%{name}-%{version}.tar.bz2
Patch0:         libdlna-0.2.4-mga-ffmpeg-2.4.patch
# Patch from ArchLinux: https://git.archlinux.org/svntogit/community.git/tree/trunk?h=packages/libdlna
Patch1:         libdlna-ffmpeg3.patch
BuildRequires:  ffmpeg-devel

%description
libdlna aims at being the reference open-source implementation of DLNA
(Digital Living Network Alliance) standards.
Its primary goal is to provide DLNA support to uShare, an embedded DLNA &
UPnP A/V Media Server, but it will be used to build both DLNA servers
and players in the long term.

%package -n     %{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n     %{develname}
Summary:        Header files and static libraries from %name
Group:          Development/C
Requires:       %{libname} >= %{version}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %name-devel < %{version}-%{release}

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q
%autopatch -p1

%build
%set_build_flags
# No support for parallel make nor %%configure
./configure --prefix=%{_prefix} --libdir=%{_libdir} --enable-static --enable-shared
%__make

%install
%make_install

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*pc


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.2.4-12.mga8
+ Revision: 1514052
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 0.2.4-11.mga7
+ Revision: 1298808
- Mageia 7 Mass Rebuild

* Thu Apr 26 2018 daviddavid <daviddavid> 0.2.4-10.mga7
+ Revision: 1222638
- rebuild for new ffmpeg 4.0

* Tue May 02 2017 akien <akien> 0.2.4-9.mga6
+ Revision: 1098296
- Rebuild for ffmpeg 3.3

* Thu Mar 09 2017 akien <akien> 0.2.4-8.mga6
+ Revision: 1090878
- Add Archlinux patch to fix ffmpeg 3.0+ compatibility
- Rebuild for ffmpeg 3.2.4

* Mon Feb 08 2016 umeabot <umeabot> 0.2.4-7.mga6
+ Revision: 950667
- Mageia 6 Mass Rebuild

* Fri Nov 14 2014 akien <akien> 0.2.4-6.mga5
+ Revision: 797210
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4-5.mga5
+ Revision: 748484
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.4-4.mga5
+ Revision: 681416
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.4-3.mga4
+ Revision: 529661
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 0.2.4-2.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sat Jan 12 2013 umeabot <umeabot> 0.2.4-2.mga3
+ Revision: 356988
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 fwang <fwang> 0.2.4-1.mga3
+ Revision: 248957
- new version 0.2.4

* Fri Aug 19 2011 blino <blino> 0.2.3-7.mga2
+ Revision: 134435
- fix build with new avmedia
- remove old post scriptlets
- imported package libdlna


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-6mdv2011.0
+ Revision: 620115
- the mass rebuild of 2010.0 packages

* Sat Sep 12 2009 Thierry Vignaud <tv@mandriva.org> 0.2.3-5mdv2010.0
+ Revision: 438550
- rebuild

* Mon Oct 20 2008 Funda Wang <fwang@mandriva.org> 0.2.3-4mdv2009.1
+ Revision: 295484
- adopt to new ffmpeg file location
- use compile flags
- clearify license

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.2.3-2mdv2008.1
+ Revision: 170947
- rebuild

* Sat Jan 26 2008 Erwan Velu <erwan@mandriva.org> 0.2.3-1mdv2008.1
+ Revision: 158277
- import libdlna


